<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>network.stratus.api</groupId>
		<artifactId>api</artifactId>
		<version>7.1.0-SNAPSHOT</version>
	</parent>
	<artifactId>bukkit</artifactId>
	<packaging>jar</packaging>

	<name>Stratus-API-Bukkit</name>

	<dependencies>
		<dependency>
			<groupId>network.stratus.api</groupId>
			<artifactId>core</artifactId>
			<version>7.1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>app.ashcon</groupId>
			<artifactId>sportpaper-api</artifactId>
			<version>1.8.8-R0.1-SNAPSHOT</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>app.ashcon</groupId>
			<artifactId>sportpaper</artifactId>
			<version>1.8.8-R0.1-SNAPSHOT</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>app.ashcon.intake</groupId>
			<artifactId>intake-bukkit</artifactId>
			<version>1.2-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>com.auth0</groupId>
			<artifactId>java-jwt</artifactId>
			<version>3.10.2</version>
		</dependency>
	</dependencies>

	<build>
		<resources>
			<resource>
				<directory>resource</directory>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>2.4.1</version>
				<configuration>
					<dependencyReducedPomLocation>${project.build.directory}/dependency-reduced-pom.xml</dependencyReducedPomLocation>
					<artifactSet>
						<excludes>
							<exclude>app.ashcon:sportpaper-api</exclude>
							<exclude>app.ashcon:sportpaper</exclude>
						</excludes>
					</artifactSet>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>shade</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
